Subject: RE: [Sipping] sip-911, Preventing dialog termination

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 8 Mar 2002 09:20:44 -0500

We should keep the issues of call control and bearer control
separate.  The QoS discussion here is about bearer control.
Call Admission control is something that is probably not
subject to standardization as it applies to one component, and
not the interaction of multiple components, other than the priority
header that is being discussed.  If you want to implement preemption,
have one of your proxy servers do a presto-chango into a B2BUA and
send a BYE.  

The bearer control problem is pretty hairy, Henry's belief in
the power of the Internet notwithstanding.  When a disaster occurs,
everyone's natural inclination is to immediately start
communicating far and wide.  Like it or not, some communication
in disasters has more than just priority - it has to go through.
Generally, when you want some reasonable assurance that it
will go through, then you, somehow, sequester resources so that you can
make it go through.  

My usual speech on this subject goes something like "Sir, I'll give
it my BEST EFFORT to get to the fire.  In fact I'll give it my TOP PRIORITY"
vs. "Sir, I'll be at the fire in 30 seconds".  

Henry does of course point out the quandary that the Internet does not 
give you the tools to achieve what is required. However, a good deal 
of the implementations of SIP will be on networks that are more 
controlled than the big I Internet and there is some hope they 
will actually perform adequately.

I'll agree that in the IETF we can't deal with one countries laws,
and preemption issue is one of those issues.  I suspect we
could not require a preemption capability.  On the other hand,
there are people walking around with special cell phones that,
when emergencies happen, will get through when ordinary ones won't,
and there are certain capabilities in all C5 switches that are
not talked about much (and which I have no actual direct knowledge).

Brian

> -----Original Message-----
> From: Ken Carlberg [mailto:[email-masked]]
> Sent: Friday, March 08, 2002 5:02 AM
> To: Henry Sinnreich
> Cc: 'Rosen, Brian'; [email-masked]; [email-masked]
> Subject: Re: [Sipping] sip-911, Preventing dialog termination
> 
> 
> 
> > And sorry to repeat, I'd rather get through without QoS and without
> > priority than not get through at all because some circuit-like
> > unavailability.
> 
> in general I would agree with you.  but there are vendors that are
> and have been offering proprietary forms of call admission for VoIP
> (typically by counting number of VoIP flows, or signaled calls).
> 
> as soon as one introduces call admission, then the chances exist for
> call blocking.  and if your going to have that as opposed to across
> the board degraded service, then some users will insist or require a
> means of distinguishing traffic to get around that in some form.  
> whether that involves preemption is a regulatory/policy issue.
> 
> automated preemption is not allowed on the US PSTN.  whether that
> extends to the VoIP world in pure end-to-end ISP VoIP flows, i have
> no clue and will let the lawyers battle that out.
> 
> and speaking of regulations and laws.  I see folks bring that up on
> this list from time to time to make a point about whether a design
> or technology should be allowed.  everyone should keep in mind that 
> laws/regulation are relative to where one is.  while automated 
> preemption is not allowed in the states for the PSTN, it may 
> be allowed
> elsewhere in other countries.  so please be careful when the word
> law is used in an arguement.
> 
> cheers,
> 
> -ken
> 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Henry Sinnreich <[email-masked]>
Date: Sun, 10 Mar 2002 12:26:10 -0600

>there are people walking around with special cell
> phones
and
> the power of the Internet notwithstanding.  When a disaster
> occurs, everyone's natural inclination is to immediately 
> start communicating far and wide.

Well, one could use IM and still get through on the Internet, while not
overloading the diminished resources - something one could probably not
do with SMS on a cell phone. Voila, the power of the Internet !

This has been experienced on 9/11. Non-prioritized voice SIP traffic
from Columbia University also worked.

My point is with straight wireless Internet access, emergency
communications are not what they are in circuit switched, walled garden
networks, and do not have to be for that matter either.

While classes of service may be a legitimate technology, best effort has
proven to work far beyond expectations in emergencies.

> The bearer control problem is pretty hairy

There is nothing hairy about classes of service, except few if any
public ISPs have found a business case for them as yet, tough I belive
they may eventually. 
What is used in private networks is hard to disucss on this list. 

Henry

> From: Rosen, Brian [mailto:[email-masked]]
> Sent: Friday, March 08, 2002 8:21 AM
> To: 'Ken Carlberg'
> Cc: Henry Sinnreich; [email-masked]; [email-masked]
> Subject: RE: [Sipping] sip-911, Preventing dialog termination
> 
> 
> We should keep the issues of call control and bearer control separate.

> The QoS discussion here is about bearer control. Call Admission 
> control is something that is probably not subject to standardization 
> as it applies to one component, and not the interaction of multiple 
> components, other than the priority header that is being discussed.  
> If you want to implement preemption, have one of your proxy servers do

> a presto-chango into a B2BUA and send a BYE.
> 
> The bearer control problem is pretty hairy, Henry's belief in the 
> power of the Internet notwithstanding.  When a disaster occurs, 
> everyone's natural inclination is to immediately start communicating 
> far and wide.  Like it or not, some communication in disasters has 
> more than just priority - it has to go through. Generally, when you 
> want some reasonable assurance that it will go through, then you, 
> somehow, sequester resources so that you can make it go through.
> 
> My usual speech on this subject goes something like "Sir, I'll give it

> my BEST EFFORT to get to the fire.  In fact I'll give it my TOP 
> PRIORITY" vs. "Sir, I'll be at the fire in 30 seconds".
> 
> I'll agree that in the IETF we can't deal with one countries laws, and

> preemption issue is one of those issues.  I suspect we could not 
> require a preemption capability.  On the other hand, there are people 
> walking around with special cell phones that, when emergencies happen,

> will get through when ordinary ones won't, and there are certain 
> capabilities in all C5 switches that are not talked about much (and 
> which I have no actual direct knowledge).
> 
> Brian
> 
> > in general I would agree with you.  but there are vendors
> that are and
> > have been offering proprietary forms of call admission for VoIP 
> > extends to the VoIP world in pure end-to-end ISP VoIP
> flows, i have no
> > clue and will let the lawyers battle that out.
> > 
> > this list from time to time to make a point about whether a
> design or
> > technology should be allowed.  everyone should keep in mind that 
> > preemption is not allowed in the states for the PSTN, it may be 
> > allowed elsewhere in other countries.  so please be careful
> when the
> > word law is used in an arguement.
> > 
> > cheers,
> > 
> > -ken
> > 
> > 
>